'use strict';

var noStarImportsOrExports = require('./rules/no-star-imports-or-exports.cjs');
var validImportPath = require('./rules/valid-import-path.cjs');

const rules = {
  "valid-foundations-import-path": validImportPath.validFoundationsImportPath,
  "no-star-imports-or-exports": noStarImportsOrExports.noStarImportsOrExports
};
const configs = {
  recommended: {
    plugins: ["@guardian/source-foundations", "import"],
    rules: {
      "@guardian/source-foundations/valid-foundations-import-path": "error",
      "@guardian/source-foundations/no-star-imports-or-exports": "error",
      "import/no-duplicates": "error"
    }
  }
};

exports.configs = configs;
exports.rules = rules;
